Bug 963257 - btrfs-zero-log not available in initramfs
btrfs-zero-log not available in initramfs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 09:56 EDT by Philipp Dreimann
Modified: 2013-06-01 23:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: dracut-027-81.git20130531.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-01 23:01:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Dreimann 2013-05-15 09:56:50 EDT
Description of problem:
If btrfs can't be mounted fedora shows starts a shell to investigate the issue.

The some btrfs tools are available but btrfs-zero-log is missing but sometimes needed, if everything else fails, to solve the issue.


Version-Release number of selected component (if applicable):
btrfs-progs.x86_64                   0.20.rc1.20130308git704a08c-1.fc19
Comment 1 Eric Sandeen 2013-05-15 10:54:54 EDT
btrfs-progs can't control what goes into that environment, I think that's dracut's deal.  I don't know what the criteria are for inclusion, but I'll bump the bug over there for discussion.

You can add things in /etc/dracut.conf if you wish, I think.
Comment 2 Eric Sandeen 2013-05-15 10:56:10 EDT
Ok, kylem tells me maybe we could ship a btrfs.conf for dracut in btrfs-progs.  but it seems that for the most part dracut handles this.

dracut folks, what's best?
Comment 3 Harald Hoyer 2013-05-28 10:33:14 EDT
(In reply to Eric Sandeen from comment #2)
> Ok, kylem tells me maybe we could ship a btrfs.conf for dracut in
> btrfs-progs.  but it seems that for the most part dracut handles this.
> 
> dracut folks, what's best?

If you don't introduce a new tool every week, you can just ping me about additional binaries to include in the initramfs for rescue operations.
Comment 4 Harald Hoyer 2013-05-29 08:09:51 EDT
commit c6df70fb4859fba630433586d39d728e60613399
Comment 5 Fedora Update System 2013-05-31 04:23:22 EDT
dracut-027-81.git20130531.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dracut-027-81.git20130531.fc19
Comment 6 Fedora Update System 2013-05-31 14:08:57 EDT
Package dracut-027-81.git20130531.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-027-81.git20130531.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9728/dracut-027-81.git20130531.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-01 23:01:14 EDT
dracut-027-81.git20130531.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.